Subject: bug#28054: coreutils 8.27 test failure on x86_64-foxkit-linux-musl

From: Pádraig Brady <[email-masked]>
Date: Sun, 13 Aug 2017 21:30:29 -0700

On 13/08/17 09:22, Jim Meyering wrote:
> On Sun, Aug 13, 2017 at 1:07 AM, Pádraig Brady <[email-masked]> wrote:
>> On 11/08/17 11:49, A. Wilcox wrote:
>>
>>> FAIL: tests/misc/csplit-io-err
>>> ==============================
>> This was due to an inconsistency in the errors output by seq.
>> A fix for that buglet is attached.
>>
>>> FAIL: tests/misc/printf-surprise
>>> ================================
>> Depending on exit 141 couples the script to the value of SIGPIPE
>> and to the shell implementation (ksh will return 269 here for e.g.).
>> So I've attached a solution that should hopefully work in all situations.
>>
>>> FAIL: tests/misc/sort-debug-warn
>>> ================================
>> This was due to an assumption that for "missing" locales
>> that sort would fail to C rather than C.UTF8.
>> I've adjusted sort to not assume that in the attached.
> 
> Nice work. All three patches looks fine.  You might want to insert "in
> https://bugs.gnu.org/28054" at the end of each log message.

Good point. I'll adjust.

> Considering the use of "yes | :", even though there's an identical
> prior use in tests/misc/seq-epipe.sh, I wondered if there exists a
> shell/system where that would infloop. Maybe paranoid overkill, but
> inserting a timeout would avoid the possibility.

Also good point, and I vaguely remember there being such an issue
on systems where pipes were simulated using files.
Though timeout would have the same portability issues as such pipes I think.
I'll look at refactoring this pattern in a separate patch
and cater for all uses of this pattern with a
require_regular_pipe_ or equivalent.

thanks,
Pádraig